package cn.iocoder.yudao.module.appBase.service;

import cn.iocoder.yudao.module.appBase.entity.AppSwiper;

import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author ruoyi
 * @date 2023-08-01
 */
public interface IAppSwiperService
{
    /**
     * 查询【请填写功能名称】
     *
     * @param swiperId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public AppSwiper selectAppSwiperBySwiperId(Long swiperId);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param appSwiper 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<AppSwiper> selectAppSwiperList(AppSwiper appSwiper);

    /**
     * 新增【请填写功能名称】
     *
     * @param appSwiper 【请填写功能名称】
     * @return 结果
     */
    public int insertAppSwiper(AppSwiper appSwiper);

    /**
     * 修改【请填写功能名称】
     *
     * @param appSwiper 【请填写功能名称】
     * @return 结果
     */
    public int updateAppSwiper(AppSwiper appSwiper);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param swiperIds 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteAppSwiperBySwiperIds(Long[] swiperIds);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param swiperId 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteAppSwiperBySwiperId(Long swiperId);
}
